import { BackgroundCircle } from './BackgroundCircle';
import { Eyes } from './Eyes';
import { Mouth } from './Mouth';
import { FaceContainer } from './FaceContainer';

export const Face = ({ width, height, centerX, centerY, strokeWidth, blushOffsetX, 
               blushOffsetY, blushRadius, eyeOffsetX, eyeOffsetY, eyeRadius, 
               pupilRadius, catchLightOffsetEyeX, catchLightOffsetEyeY, catchLightRadius, 
               mouthRadius, mouthWidth }) => (
	<FaceContainer
    width={width} 
    height={height} 
    centerX={centerX}
    centerY={centerY}>
    
    <BackgroundCircle 
      radius={centerY - strokeWidth/2} 
      strokeWidth={strokeWidth}
      blushOffsetX={blushOffsetX}
      blushOffsetY={blushOffsetY}
      blushRadius={blushRadius}/>
      
    <Eyes
      eyeOffsetX={eyeOffsetX} 
      eyeOffsetY={eyeOffsetY}
      eyeRadius={eyeRadius}
      pupilRadius={pupilRadius} 
      catchLightOffsetEyeX={catchLightOffsetEyeX} 
      catchLightOffsetEyeY={catchLightOffsetEyeY} 
      catchLightRadius={catchLightRadius}/>
      
    <Mouth
      mouthRadius={mouthRadius}
      mouthWidth={mouthWidth}/>
  </FaceContainer>
);